﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Fluke 196B: (1 year) VER RS-232 /5520+SC300,5418
DATE:                  2018-01-05 12:02:25
AUTHOR:                Fluke
REVISION:              $Revision: 22091 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       214
CONFIGURATION:         Fluke 5520A (SC)
STANDARD:              Philips PM 5418
=============================================================================
#
#  Procedure Author:
#        DT, GMO, DFM, DAC, VY
#
#  This procedure contains tests whose Test Uncertainty Ratios are less
#  than 4:1, based on 5520A (1 year) specifications.
#        INPUT A AC VOLTAGE ACCURACY (HF) & BANDWIDTH TEST
#               900 mV @ 1 MHz;    TUR 2.0566
#               900 mV @ 25 MHz;   TUR 3.4803
#
#        INPUT B AC VOLTAGE ACCURACY (HF) & BANDWIDTH TEST
#               900 mV @ 1 MHz;    TUR 2.0566
#               900 mV @ 25 MHz;   TUR 3.4803
#
#  Source:
#        Fluke 19xB-19xC-2x5C ScopeMeter®  Service Manual,
#          models 192B,196B,199B,192C,196C,199C,215C,225C
#        Part No. 4822 872 05391, September 2002, rev.2, Oct.09
#
#  Compatibility:
#        MET/CAL 8.2 or later
#
#  Required Equipment:
#        Termination, feedthrough, 75 Ω, Pomona 4119-75
#        Cable, 75 Ω, BNC(m)-(m), Fluke PM 9075
#        Adapter, dual banana plug to BNC(f), Fluke PM 9081/001
#        Adapter, dual banana jack to BNC(m), Fluke PM 9082/001
#        Test leads, stackable, 24", 4 ea.
#        Termination, feedthrough, 50 Ω, Fluke PM 9585
#        Cable, 50 Ω, BNC(m)-(m), Pomona 2249-C-36, 2 ea.
#        Fluke PM9080 Optically Isolated Interface Cable
#        Fluke Adapter Kit, Part No. 689486 or equivalent. Includes DB9(f)
#         to DB9(f) null modem adapter and DB9(m) to DB9(m) gender changer
#        VPS210-G Voltage Probe (200 MHz, 10:1), Grey or Red
#
# This procedure is intended for use with MET/CAL® calibration software; the
# terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# The following statements are included to force the main procedure header to
# include CONFIGURATION lines for the references used in the subprocedures.
  1.001  IF           0
  1.002  5520         200.0MH                      300mVpp        LS SC S  L
  1.003  STD          Philips PM 5418
  1.004  ENDIF

  1.005  ASK-   R   Q N              P                            F        V

  1.006  IF           NOT(VERSIONCHECK("8.2"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning

  1.011  HEAD         INITIAL INFORMATION
  1.012  CALL         Sub Select Failed Test Mode
  1.013  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.014  HEAD         TEST CONDITIONS
  1.015  DISP         - Warm-up time requirement: 30 minutes
  1.015  DISP         - Ambient temperature: 18 °C - 28 °C.
  1.015  DISP         - Relative humidity: less than 90 %.

  1.016  HEAD         EQUIPMENT REQUIREMENTS
  1.017  OPBR         -z Do you want to review the list of additional
  1.017  OPBR         equipment and/or accessories required?

  1.018  IF           MEM1
  1.019  DISP         The following additional equipment and/or
  1.019  DISP         accessories are required:
  1.019  DISP
  1.019  DISP         - Termination, feedthrough, 75 Ω, Pomona 4119-75
  1.019  DISP         - Cable, 75 Ω, BNC(m)-(m), Fluke PM 9075
  1.019  DISP         - Adapter, dual banana plug to BNC(f), Fluke PM 9081/001
  1.019  DISP         - Adapter, dual banana jack to BNC(m), Fluke PM 9082/001
  1.019  DISP         - Test leads, stackable, 4 ea.
  1.019  DISP         - Termination, feedthrough, BNC, 50 Ω, Fluke PM 9585
  1.019  DISP         - Cable, 50 Ω, BNC(m)-(m), Pomona 2249-C-36, 2 ea.
  1.019  DISP         - Cable, communication, isolated, Fluke PM 9080
  1.019  DISP         - Adapter Kit, Fluke Part No. 689486 (COM5520 Selected)
  1.019  DISP         -
  1.019  DISP         - Accessories supplied with UUT
  1.019  DISP         [32] Power Adapter, BC190
  1.019  DISP         [32] VPS210-G Voltage Probe (200 MHz, 10:1), Grey or Red
  1.020  ENDIF

  1.021  HEAD         PRELIMINARY INSTRUCTIONS
  1.022  DISP         [32]           IMPORTANT! PLEASE NOTE!!
  1.022  DISP
  1.022  DISP         Throughout this procedure, the UUT MUST be powered
  1.022  DISP         by the BC190 battery charger (the battery pack must
  1.022  DISP         be installed).

  1.023  DISP         Prior to verification, the UUT must be reset.
  1.023  DISP         Reset the UUT using the following procedure:
  1.023  DISP
  1.023  DISP         - Press and release the power button to turn UUT off
  1.023  DISP         - PRESS AND HOLD the UUT "USER" button
  1.023  DISP         - Press and release the power button to turn UUT on
  1.023  DISP         - WAIT until the UUT has BEEPED TWICE, then release
  1.023  DISP         [32] the UUT "USER" button

# Configure interface cable.
  1.024  MATH         lb = lbNew("Communication Interface Cable Type")
  1.025  MATH         lbText(lb, "To communicate with Fluke Scopemeter, you")
  1.026  MATH         lbText(lb, "can use the FLUKE OC4USB Optical Cable for")
  1.027  MATH         lbText(lb, "USB or Fluke PM9080 Optically Isolated")
  1.028  MATH         lbText(lb, "RS-232 cable.")
  1.029  MATH         lbText(lb, "")
  1.030  MATH         lbText(lb, "Select your cable type from list box below")
  1.031  MATH         lbAdd(lb, "Fluke OC4USB Optical Cable for USB")
  1.032  MATH         lbAdd(lb,"Fluke PM9080 Optically Isolated RS-232 cable")
  1.033  MATH         lbShow(lb)
  1.034  MATH         Index = lbGetSelX(lb, 1)

  1.035  IF           Index == 1
  1.036  CALL         Sub Fluke ScopeMeter (UUT) Connection RS-232 /OC4USB
  1.037  ELSE
  1.038  CALL         Sub Fluke ScopeMeter (UUT) Connection RS-232 /5520
  1.039  ENDIF

  1.040  JMPL         END                          @Abort

# Setup UUT RS232 communication.
  1.041  LABEL        RS232_SETUP
  1.042  PORT         [REOPEN][P1200,N,8,1,X][OTERM CR]

  1.043  HEAD         UUT IDENTIFICATION
# Specify model based on procedure selected.
  1.044  MATH         Model = "196B"; @Bandwidth = 100E+6
# Query test tool name and firmware version.
  1.045  CALL         Sub Fluke ScopeMeter Identification RS-232

# Make sure correct UUT is connected.
  1.046  MATH         L[1] = ZCMPI("Fluke", @Manufacturer)
  1.047  MATH         L[2] = ZCMPI(Model, @ModelNum)

  1.048  IF           NOT(L[1]) || NOT(L[2])
  1.049  DISP         UUT is a [V @Manufacturer] [V @ModelNum],
  1.049  DISP         not a Fluke [V Model]!
  1.050  END
  1.051  ENDIF

  1.052  CALL         Sub Fluke 19xB/C Check Firmware Revision RS-232

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Preserving Results Order While Optimizing
# Execution Sequence in MET/CAL Procedures.

  1.053  CALL         Sub Fluke ScopeMeter Display Tests RS-232
  1.054  CALL         Sub Fluke 19xB/C (1 yr) A&B Vertical Acc RS-232 /5520
  1.055  CALL         Sub Fluke 19xB/C (1 yr) A&B DCV Acc RS-232 /5520
  1.056  CALL         Sub Fluke 19xB/C (1 yr) A&B ACV Acc RS-232 /5520
  1.057  CALL         Sub Fluke 19xB/C (1 yr) A&B ACV AC Coupled RS-232 /5520
  1.058  CALL         Sub Fluke 19xB/C (1 yr) A&B V Peak Meas RS-232 /5520
  1.059  CALL         Sub Fluke 19xB/C (1 yr) A&B Freq Meas RS-232 /5520+SC
  1.060  CALL         Sub Fluke 19xB/C (1 yr) A&B Phase Meas RS-232 /5520+SC
  1.061  CALL         Sub Fluke 19xB (1 yr) Time Base RS-232 /5520+SC
  1.062  CALL         Sub Fluke 19xB/C (1 yr) A Trigger Sens RS-232 /5520+SC
  1.063  CALL         Sub Fluke 19xB/C (1 yr) A Bandwidth RS-232 /5520+SC
  1.064  CALL         Sub Fluke 19xB/C (1 yr) B Trigger Sens RS-232 /5520+SC
  1.065  CALL         Sub Fluke 19xB/C (1 yr) B Bandwidth RS-232 /5520+SC
  1.066  JMPL         EXT_TRIGGER

  1.067  LABEL        A_VIDEO
  1.068  CALL         Sub Fluke 19xB/C (1 yr) A Video RS-232 /5418
  1.069  JMPL         PROBE

  1.070  LABEL        EXT_TRIGGER
  1.071  CALL         Sub Fluke 19x (1 yr) Meter Ext Trigger RS-232 /5520
  1.072  CALL         Sub Fluke 19x (1 yr) Meter DCV Acc RS-232 /5520
  1.073  CALL         Sub Fluke 19x (1 yr) Meter ACV Acc RS-232 /5520
  1.074  CALL         Sub Fluke 19x (1 yr) Meter Continuity RS-232 /5520
  1.075  CALL         Sub Fluke 19x (1 yr) Meter Diode RS-232 /5520
  1.076  CALL         Sub Fluke 19x (1 yr) Meter Ohms Acc RS-232 /5520
  1.077  JMPL         A_VIDEO

  1.078  LABEL        PROBE
  1.079  CALL         Sub Fluke 19x Probe Ver RS-232

  1.080  LABEL        END

  1.081  IF           @Abort
  1.082  HEAD         V E R I F I C A T I O N   A B O R T E D
  1.083  ENDIF

  1.084  END
